# telegram.ProximityAlertTriggered

class telegram.ProximityAlertTriggered(traveler, watcher, distance, **_kwargs)

  Bases: `telegram.base.TelegramObject`

  This object represents the content of a service message, sent whenever a user in the chat triggers a proximity alert set by another user.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `traveler`, `watcher` and `distance` are equal.

  Parameters

    - traveler (`telegram.User`) – User that triggered the alert

    - watcher (`telegram.User`) – User that set the alert

    - distance (`int`) – The distance between the users

  traveler

    User that triggered the alert

    Type

      `telegram.User`

  watcher

    User that set the alert

    Type

      `telegram.User`

  distance

    The distance between the users

    Type

      `int`

  classmethod de_json(data, bot)

    See `telegram.TelegramObject.de_json()`.